## NAME

r.region - Sets the boundary definitions for a raster map.

## KEYWORDS

raster, metadata

## SYNOPSIS

r.region
r.region --help
r.region [-cd] map=name [region=name] [raster=name] [vector=name] [n=value] [s=value] [e=value] [w=value] [align=name] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-c
  Set from current region
-d
  Set from default region
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

map=name [required]
  Name of raster map to change
region=name
  Set region from named region
raster=name
  Set region to match this raster map
vector=name
  Name of vector map
  Set region to match this vector map
n=value
  Value for the northern edge
s=value
  Value for the southern edge
e=value
  Value for the eastern edge
w=value
  Value for the western edge
align=name
  Raster map to align to

## DESCRIPTION

The r.region program allows the user to manage the boundaries of a raster map. These boundaries can be set by the user directly and/or set from a region definition file (stored under the `windows` directory in the user's current mapset), a raster or vector map, or a 3dview file.

The align parameter sets the current resolution equal to that of the named raster map, and align the boundaries to a row and column edge in the named map. Alignment only moves the existing boundaries outward to the edges of the next nearest cell in the named raster map -- not to the named map's edges. To perform the latter function, use the raster=name option.

## NOTES

After all updates have been applied, the raster map's resolution settings are recomputed from the boundaries and the number of rows and columns in the raster map.

The n=value may also be specified as a function of its current value: n=n+value increases the current northing, while n=n-value decreases it. This is also true for s=value, e=value, and w=value.

## EXAMPLES

Assign absolute coordinates to map:

    r.region map=mymap n=220750 s=220000 w=638300 e=639000

Shift map (using offset, here by 100 map units in two directions):

    r.region map=mymap n=n+100 e=e+100 w=w+100 s=s+100

## SEE ALSO

r.support
g.region

## AUTHOR

Glynn Clements
Based upon g.region

Last changed: $Date: 2013-04-18 07:38:39 +0200 (čt, 18 IV 2013) $

Main index | Raster index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.0 Reference Manual